JLabel
Date: 2019-10-22

org.jmol.awtjs.swing

## Class JLabel

- java.lang.Object
- - org.jmol.awtjs.swing.Component
  - - org.jmol.awtjs.swing.Container
    - - org.jmol.awtjs.swing.JComponent
      - - org.jmol.awtjs.swing.JLabel

-     public class JLabel
      extends JComponent

- - ### Field Summary

    - ### Fields inherited from class org.jmol.awtjs.swing.JComponent

      `actionCommand, actionListener, autoScrolls`

    - ### Fields inherited from class org.jmol.awtjs.swing.Container

      `list`

    - ### Fields inherited from class org.jmol.awtjs.swing.Component

      `enabled, height, id, minHeight, minWidth, mouseListener, name, parent, renderHeight, renderWidth, text, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JLabel(java.lang.String text)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toHTML()`

    - ### Methods inherited from class org.jmol.awtjs.swing.JComponent

      `addActionListener, getActionCommand, setActionCommand, setAutoscrolls`

    - ### Methods inherited from class org.jmol.awtjs.swing.Container

      `add, addComponent, getComponent, getComponentCount, getComponents, getSubcomponentHeight, getSubcomponentWidth, insertComponent, remove, removeAll`

    - ### Methods inherited from class org.jmol.awtjs.swing.Component

      `addMouseListener, getCSSstyle, getHeight, getName, getParent, getText, getWidth, isEnabled, isVisible, newID, repaint, setBackground, setEnabled, setMinimumSize, setName, setParent, setPreferredSize, setText, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JLabel

          public JLabel(java.lang.String text)

  - ### Method Detail

    - #### toHTML

          public java.lang.String toHTML()

      Specified by:
        `toHTML` in class `Component`